Recoveries
Verify recovery code
POST
Requires scope recoveries:create.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
application/json- body
challengeId*stringThe challengeId returned by POST /v1/recoveries/challenge
Format
uuidcode*stringThe six-digit code as the customer typed it
Match
^[0-9]{6}$Response Body
200application/json
Code accepted, single-use recovery token issued
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X POST 'https://api.pilot.shiga.io/v1/recoveries/challenge/verify' \ -H 'Authorization: Bearer sk_test_...' \ -H 'Content-Type: application/json' \ -d '{ "challengeId": "007cfdcc-a46d-4340-a4c6-216ec2e4009c", "code": "string"}'Example Response
{ "data": { "recoveryToken": "string", "expiresAt": "2019-08-24T14:15:22Z" }, "status": 200, "success": true}